## apport 0.28

=== po/Makefile ===

DOMAIN=apport
PO_FILES := $(wildcard *.po)
CONTACT=martin.pitt@ubuntu.com

all: $(DOMAIN).pot

clean:
	rm -rf mo/
	rm -f $(DOMAIN).pot

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS='--msgid-bugs-address=$(CONTACT) --language=python' intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES) $(DOMAIN.pot)
	XGETTEXT_ARGS='--msgid-bugs-address=$(CONTACT) --language=python' intltool-update -r -g $(DOMAIN)

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# generate all *.mo files
build-mo: $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
apport (0.28) edgy; urgency=low

  "No core - ignore!"

  * apport: Do not create a report for crashes which we do not get a core dump
    for. The reports are useless and only clutter our bug tracker.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  9 Oct 2006 15:22:32 +0200

apport (0.27) edgy; urgency=low

  * apport: Ignore SIGABRT for now; it's usually signalled from abort() or
    assertion failures and we only get reports with unusable stack traces for
    it (see #61938).
  * gtk/apport-gtk: If gnome-open is not available, fall back to x-www-browser
    instead of using webbrowser.py, to respect default browser in XFCE.
    Closes: LP#64209
  * apport: use os.nice() instead of executing 'renice'. Thanks to Benoit
    Boissinot for noticing.
  * apport_utils.py, find_file_package(): Lower() both strings in the speedup
    heuristics to match e. g. /usr/bin/Xorg -> xserver-xorg. Thanks to Kees
    Cook!
  * apport_utils.py, report_add_package_info(): Do not crash if we encounter a
    'None' current version, which can happen with uninstalled alternative
    dependencies. Thanks to Kees Cook for tracking this down!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  6 Oct 2006 17:15:08 +0200

apport (0.26) edgy; urgency=low

  * apport-retrace: Clean up code a bit:
    - Move option parsing to separate function.
    - Use apport_utils' report_add_gdb_info() instead of duplicating the gdb
      code.
  * apport_utils.py, report_add_gdb_info(): Add optional parameter 'debugdir'
    to specify an alternate debug file symbol root directory.
  * apport-retrace: Add option -d/--download-debug to automatically download
    available ddebs, create a temporary debug symbol directory from already
    installed and downloaded ddebs, and point gdb to use that. Also add option
    -C/--cache-dir to specify a permanent ddeb cache directory (by default, a
    temporary one is used). Update the manpage accordingly.
  * apport-retrace: Make the best out of a report without packaging
    information (which can happen if the user does not click on 'report bug'
    in apport-gtk).
  * apport_utils, report_add_proc_info():
    - Move heuristics for detecting interpreted scripts to a separate function
      to be able to provide separate test cases for it. Check a few more
      special cases for mono programs.
    - Make interpreter heuristics even scarier to detect some more mono corner
      cases (like banshee and beagled-helper). Closes: LP#58859

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  4 Oct 2006 19:10:47 +0200

apport (0.25) edgy; urgency=low

  * Drop apport-gtk's update-notifier dependency to a Recommends:.
  * apport_utils.py, report_add_gdb_info(): Add register dump and disassembly
    of the last 32 bytes, they might be useful to see what's going on
    sometimes. Thanks to Kees Cook for the idea and the patch.
  * test-apport, check_crash(): Verify that a crash does not leave a core file
    behind. (Test for LP#62972)
  * preloadlib/libapport.c: Do not unlink the core file after calling apport,
    but set REMOVE_CORE=1 environment instead. This matches the current
    kernel behaviour.
  * apport: Register an atexit handler as early as possible for unlinking the
    core dump if REMOVE_CORE environment is set. Closes: LP#62972
  * apport: Set nice level 10 instead of 5. Closes: LP#63099

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  2 Oct 2006 14:21:53 +0200

apport (0.24) edgy; urgency=low

  The "Need for speed" release -- rrrroarrr!

  * apport: Remove _copy_shrink_corefile(): While this has an enormous impact
    on the size of an uncompressed core dump, it only causes a negligible size
    reduction of the bzip2'ed core, but it needs a lot of I/O resources for
    large core dumps.
  * problem_report.py:
    - Use zlib instead of bzip2 for compressing the binary data (in
      particular, core dumps). This results in slightly bigger files, but speeds
      up compression a lot (30 seconds vs. ~2:45 minutes for a Firefox core dump
      on my slow iBook). Closes: LP#61538
    - ProblemReport.read(): Support both bzip2 and zlib compression to be able
      to read existing reports, too.
    - Add/Adapt test cases.
  * Move InformationCollector._get_gdb() from apport to apport_utils.py
    report_add_gdb_info(), and add a test case for it.
  * apport_utils.py, report_add_package_info(): Support calling without a
    package name, then it will be figured out from ExecutableName. Extend test
    case accordingly.
  * test-apport: Do not require apport reports to contain gdb, packaging, and
    OS information, since we are going to move them out of apport.
  * apport: Do not collect static information. It requires a lot of CPU and
    I/O resources and slows down the machine a lot, and it can be added to
    the report later in the frontend. This also gets rid of the entire
    InformationCollector class, since everything has been moved to
    apport_utils.py now. Closes: LP#62542
  * apport: Do not intercept KeyboardInterrupt as unhandled exception (only
    useful for command line debugging, though).
  * problem_report.py: Add test case for appending new data to an existing
    report, fix write() function to not rely on an existing ProblemType key.
  * problem_report.py: Add new method ProblemReport.add_to_existing() to
    update an already existing problem report with new data. Add test case.
  * apport_utils.py, mark_report_seen(): Use os.utime() instead of
    open()/read() and a timeout for simpler and faster operation.
  * gtk/apport-gtk:
    - Collect gdb/packaging/operating system information when the user chooses
      to file a bug and update the apport report.
    - Change the 'Downloading bug patterns...' progress dialog to 'Collecting
      information about the crash...'.
  * debian/control: Bumped library dependencies of apport-gtk, added
    update-notifer dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 29 Sep 2006 15:47:56 +0200



=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends: debhelper (>= 5.0.37.2), python-support (>= 0.3), intltool
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.2

Package: apport
Architecture: all
Depends: python (>= 2.4), python-problem-report, python-apport-utils (>= 0.18), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: apport-gtk
Section: gnome
Architecture: all
Depends: python (>= 2.4), python-problem-report (>= 0.24), python-apport-utils (>= 0.24), python-gtk2, python-glade2, python-xdg, apport (>= 0.24)
Recommends: update-notifier
Description: GTK frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a GTK frontend for browsing and handling the
 crash reports.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: python-problem-report
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}
Description: python library to handle problem reports
 This python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs (for details, see
 https://wiki.ubuntu.com/AutomatedProblemReports).
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python-apport-utils
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}, python-problem-report, python-apt
Description: apport crash report handling functions
 This python library provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean 

	./setup.py clean -a
	make -C po clean
	find -name '*.pyc' -exec rm '{}' \;

build: build-indep

build-indep:
	dh_testdir
	make -C po

binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k 

	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman

	./setup.py install --root debian/tmp/ --install-scripts usr/share/apport --no-compile

	dh_pysupport
	dh_python
	dh_install --sourcedir=debian/tmp --fail-missing
	dh_installinit -u'multiuser 01'
	dh_installcron
	dh_installlogrotate

	-rmdir -p debian/python-problem-report/usr/lib/python2.4/site-packages/ 2>/dev/null

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## apport 0.76

=== gtk/Makefile ===
top_srcdir = ..

all: apport-gtk.desktop

%.desktop : %.desktop.in
	intltool-merge -d ${top_srcdir}/po/ $< $@

clean:
	rm -f *.desktop

=== po/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 DOMAIN=apport
 PO_FILES := $(wildcard *.po)
 CONTACT=martin.pitt@ubuntu.com
+top_srcdir = ..
 
 all: $(DOMAIN).pot

=== preloadlib/Makefile ===
CFLAGS= -g -Wall -W -fPIC

LIBNAME=apport
LIB=lib$(LIBNAME).so

ifeq ($(AGENTPATH),)
AGENTPATH=/usr/share/apport/apport
endif

ifneq ($(PIPE_CORE),)
PIPE=-DPIPE_CORE
endif

$(LIB): lib$(LIBNAME).c
	$(CC) $(CFLAGS) -DAGENTPATH=\"$(AGENTPATH)\" $(PIPE) -shared $^ -o $@

clean:
	rm -f *.o $(LIB)

=== qt4/Makefile ===
top_srcdir = ..

all: apport-qt.desktop

%.desktop : %.desktop.in
	intltool-merge -d ${top_srcdir}/po/ $< $@

clean:
	rm -f *.desktop

=== debian/changelog ===
apport (0.76) feisty; urgency=low

  * Move python_hook.py out of the apport module to apport_python_hook.py, so
    that it does not inflict the expensive import of all apport related
    modules to every python program. Adapt module prefixes accordingly.
    (LP: #105764)
  * setup.py, debian/python-apport.install: Install apport_python_hook.py into
    the python-apport binary package.
  * apport/ui.py test suite: Unset locale related environment variables so
    that the tests which check strings are not invalidated by translations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Apr 2007 11:47:50 +0200

apport (0.75) feisty; urgency=low

  * apport/report.py, add_proc_info(): Chop off /rofs/ prefix from
    ExecutablePath, so that crashes work on the live system, too. Arguably a
    kernel bug, but probably too hard to fix at this time. (LP: #102909)
  * backends/packaging-dpkg.py, get_modified_files(): Ignore empty lines in
    broken .md5sums file rather than crashing on them. (LP: #102906)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  4 Apr 2007 21:51:28 +0200

apport (0.74) feisty; urgency=low

  * debian/apport-{gtk,qt}.install: Do not install .desktop files for now,
    until we get a proper guided bug reporting.
  * problem_report.py, write_mime(): Do not re-compress keys which already end
    in .gz. Add test cases.
  * test-hooks: Add a (dodgy) test case for calling package_hook on an
    uninstalled package. After all, this is very likely to happen for
    installation errors. This reproduces #97636.
  * backends/packaging-dpkg.py, get_source(): Add a similarly dodgy fallback
    to apt if the queried package is not installed. This needs to be
    generalized and cleaned up later, but now is the time for unintrusive
    small patches. (LP: #97636)
  * test-apport: Do not fail on non-empty gdb stderr if it only consists of a
    single warning (as happens on powerpc).
  * apport/report.py, test_check_interpreted(): Run gedit test on an actually
    existing file, reproducing the interpreter confusion reported in #102056.
  * apport/report.py, _check_interpreted(): Add a whitelist of common
    interpreters and check ExecutablePath against it. (LP: #102056)
  * apport/ui.py: Ignore SystemError exceptions from apt, which happen on
    badly formatted source.list entries. (LP: #98901)
  * apport/ui.py: Fix crash on None candiateOrigin from the apt cache object.
    (LP: #98961)
  * gtk/apport-gtk.glade: Add window titles to progress and details dialogs.
    (LP: #97640)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  4 Apr 2007 14:44:08 +0200

apport (0.73) feisty; urgency=low

  * problem_report.py, write(): Allow a third optional argument in tuple
    values, which specify a maximum file size. Above it, the entire key gets
    removed. Add testsuite checks for all boundary cases.
  * bin/apport: Limit core dump size to 75% of usable RAM
    (MemFree+Cached-Writeback). This should avoid trashing people's boxes hard
    on huge core dumps. Bump dependencies on python-problem-report. Create an
    expensive, but realistic check for this in test-apport.
    (LP: #71560)
  * apport/ui.py, run_crash(): If a signal crash report does not have a core
    dump, explain that the computer has too little memory for an automatic
    analysis/report of the crash. Add test suite check.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 Mar 2007 23:38:23 +0200

apport (0.72) feisty; urgency=low

  [ Martin Pitt ]
  * bin/apport-chroot, command_create(): Install gpgv.
  * bin/apport-retrace: Fix error handling in fetch_unpack().
  * Move apport-retrace.1 manpage from package apport to apport-retrace. Bump
    Conflicts/Replaces accordingly.
  * bin/launchpad-crash-digger, apport/ui.py: Remove the special case
    'powerpc'->'ppc' and use need-powerpc-retrace uniformly.
  * debian/control: Add XS-Vcs-Bzr: header.
  * apport/ui.py: Fix wrong parameter name in help message.
  * Another grammar fix, thanks to Brian Murray!

  [ Michael Hofmann ]
  * debian/local/ubuntu-bug: Try to use apport-cli, if we do not have a
    $DISPLAY, or neither Gnome nor KDE are running.
  * debian/control: Recommend elinks, since it is the only text browser so far
    that works with Launchpad (see #59510)
  * Add debian/apport-cli.README.Debian: Describe how to integrate
    apport-checkreports and apport-cli into .bashrc for crash notification on
    servers.
  * qt4/apport-qt: Fix undefined symbol in ui_present_package_error(). 
    (LP: #97282)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 Mar 2007 11:41:39 +0200

apport (0.71) feisty; urgency=low

  * cli/apport-cli, qt4/apport-qt: Fix bad grammar 'some minutes'.
    (LP: #95296)
  * problem_report.py, write_mime(): Add optional 'preamble' parameter. Add
    test case.
  * apport/ui.py, upload_launchpad_blob(): Set need-$ARCH-retrace tag in MIME
    preamble. Bump p-problem-report dependency. (LP: #94790)
  * bin/apport-retrace: In verbose mode, display the path of currently
    extracting deb.
  * bin/apport-retrace: Do not fall over errors of dpkg -x (which happens e.
    g. on udev, where it cannot unpack /dev, since this is a symlink to the
    real /dev). Merely print out a warning about it.
  * apport/ui.py, run_report_bug(): Ignore ENOENT from add_proc_info(). This
    happens if the user closes the application prematurely, so that /proc/pid
    does not exist any more. Add test case. (LP: #95954)
  * backends/packaging-dpkg.py, get_modified_files(): Ignore lines in .md5sums
    files which contain a NUL byte. This Should Not Happen™, but nevertheless
    did. (LP: #96050)
  * apport/ui.py, doc/package-hooks.txt: Check for a field
    "UnreportableReason: <text>" and display an information box that the
    current crash cannot be reported because of <text>. Add test case.
    Document the new field.
  * apport/ui.py: Check package origin, compare it to DistroRelease:, and


=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-support (>= 0.3), python-dev (>= 2.4), intltool
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.2
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/apport/ubuntu

Package: apport
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.43), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
Conflicts: apport-gtk (<< 0.51)
Replaces: apport-gtk (<< 0.51)
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: python-problem-report
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}
Description: python library to handle problem reports
 This python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs (for details, see
 https://wiki.ubuntu.com/AutomatedProblemReports).
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python-apport
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}, python-problem-report (>= 0.73), python-launchpad-bugs (>= 0.1.2), gdb
Conflicts: python-apport-utils
Replaces: python-apport-utils
Description: apport crash report handling library
 This python package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: apport-retrace
Section: devel
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.63), python-apt, python-launchpad-bugs (>= 0.1.3), apt, binutils
Suggests: debootstrap (>= 0.3.3.2ubuntu2), fakeroot, fakechroot
Conflicts: apport (<< 0.72)
Replaces: apport (<< 0.72)
Description: tools for reprocessing Apport crash reports
 apport-retrace recombines an Apport crash report (either a file or a
 Launchpad bug) and debug symbol packages (.ddebs) into fully symbolic
 stack traces.
 .
 This package also ships apport-chroot. This tool can create and
 manage chroots for usage with apport-retrace. If the fakeroot and
 fakechroot libraries are available (either by installing the packages
 or by merely putting their libraries somewhere and setting two
 environment variables), the entire process of retracing crashes in
 chroots can happen with normal user privileges.

Package: apport-gtk
Section: gnome
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.45), python-gtk2, python-glade2, python-xdg, apport (>= 0.41), procps
Recommends: update-notifier
Description: GTK frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a GTK frontend for browsing and handling the
 crash reports.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: apport-qt
Section: kde
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.45), python-qt4, python-xdg, apport (>= 0.41), procps
Recommends: adept-notifier
Description: Qt4 frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a Qt4 frontend for browsing and handling the
 crash reports.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: apport-cli
Section: utils
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.45), python-xdg, apport (>= 0.41), procps, debianutils
Recommends: elinks
Description: Command line frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a command line frontend for browsing and handling the
 crash reports.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile --install-scripts usr/share/apport

pre-build::
	# install appropriate backends
	cp backends/packaging-dpkg.py apport/packaging_impl.py

common-post-build-indep::
	make -C po
	make -C gtk
	make -C qt4

clean::
	# remove backend copies
	rm -f apport/packaging_impl.py
	make -C po clean
	make -C gtk clean
	make -C qt4 clean

ifdef _cdbs_rules_debhelper
$(patsubst %,binary-install/%,apport) :: binary-install/%:
	$(if $(wildcard /usr/bin/dh_iconcache),dh_iconcache -p$(cdbs_curpkg) $(DEB_DH_DESKTOP_ARGS))
endif

## apport 0.76.1

=== debian/changelog ===
apport (0.76.1) feisty-updates; urgency=low

  * No-change upload to feisty-updates. Thanks to Michael Vogt for verifying.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 27 Apr 2007 13:29:24 +0200

apport (0.76.1~prop1) feisty-proposed; urgency=low

  Fix breakage with all applications that use Python 2.4:

  * apport/report.py: Replace any() call with a list comprehension to work
    with Python < 2.5. (LP: #104864)
  * apport/report.py: Move the ctypes import to the one place where we
    actually need it, and do not entirely fail if they do not exist (such as
    in Python 2.4). It is only required for non-default Feisty kernels anyway.
    (LP: #107662)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Apr 2007 13:21:41 +0200

## apport 0.98

=== po/Makefile ===
include Makevars
GETTEXT_PACKAGE=$(DOMAIN)
PO_FILES := $(wildcard *.po)
CONTACT=martin.pitt@ubuntu.com
top_srcdir = ..

all: $(DOMAIN).pot

clean:
	rm -rf mo/
	rm -f $(DOMAIN).pot

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS='--msgid-bugs-address=$(CONTACT) --language=python' intltool-update -p

# merge the new stuff into the po files
merge-po: $(PO_FILES) $(DOMAIN.pot)
	XGETTEXT_ARGS='--msgid-bugs-address=$(CONTACT) --language=python' intltool-update -r

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# generate all *.mo files
build-mo: $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
apport (0.98) gutsy; urgency=low

  [ Martin Pitt ]
  * debian/local/setup-apport-retracer: launchpadBugs -> launchpadbugs
    (recently renamed Python package in python-launchpad-bugs).
  * apport/crashdb_impl/launchpad.py, test examples: Do not duplicate to bug
    #1, that generates a huge amount of spam. Use another test bug.
  * apport/crashdb_impl/launchpad.py, download(): Use Bug.description_raw,
    since LP mangles spaces in .description. Bump p-lp-bugs dependency.
  * apport/crashdb_impl/launchpad.py, close_duplicate(): Explicitly set the
    duplicate after removing attachments, since the new LP does not allow any
    modification of duplicate bugs.
  * bin/crash-digger: Only consolidate the duplicate DB when -i is given (i.
    e. usually only on one running instance).

  [ Colin Watson ]
  * Use bugs.launchpad.net for +filebug and +bugs requests. (LP: #138090)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Oct 2007 14:35:07 +0200

apport (0.97) gutsy; urgency=low

  [Martin Pitt]
  * problem_report.py: Coerce CompressedValue.__len__() to return an int to
    work on Python 2.4, too.
  * debian/local/setup-apport-retracer: Adapt ddeb apt source for the move
    from ~pitti to ~ubuntu-archive.

  [Markus Korn]
  * port to new python-launchpad-bugs API.

  [Daniel Holbach]
  * small fixes to the port.
  * debian/control: bumped python-launchpad-bugs Depends to >= 0.2.2.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 04 Sep 2007 11:24:28 +0200

apport (0.96) gutsy; urgency=low

  * Create man pages for apport-cli, apport-chroot, and dupdb-admin.
  * apport/fileutils.py, find_file_package(): Try to resolve symlinks in the
    directory path. (LP: #125551)
  * apport/crashdb_impl/launchpad.py, debian/local/setup-apport-retracer: Use
    packaging.get_system_architecture() (which is dpkg --print-architecture on
    Debian/Ubuntu) instead of uname, so that this does the right thing on lpia.
  * problem_report.py, write_mime(): Use base64 encoding for gzipped
    attachments, to not screw up mail servers. Thanks to Tim Yamin for this
    patch!
  * apport/crashdb.py: Drop the last argument (-1), since it is the default
    anyway and did not yet exist on Python 2.4.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Aug 2007 14:11:48 +0200

apport (0.95) gutsy; urgency=low

  * general-hooks/automatix.py: Remove hashbang, it's not an executable
    script.
  * apport/report.py: Support system-wide blacklisting:
    /etc/apport/blacklist.d/. Add test cases.
  * Add doc/README.blacklist: Document blacklist.d/, install it there in
    setup.py.
  * debian/rules: Blacklist wine-preloader, so that we ignore wine crashes
    until an appropriate way is found to deal with them. (Point 6 of
    apport-better-retracing spec.)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 11 Aug 2007 18:10:54 +0200

apport (0.94) gutsy; urgency=low

  * doc/data-format.tex: Some updates to incorporate feedback from Gnome
    upstream:
    - Do not talk about "Distributions" any more, but "Operating systems".
      Gnome is used on non-Linux OSs, too.
    - Split "DistroRelease:" field into "OS:" and "OSRelease:".
    - Explicitly mention that CoreDump, StackTrace etc. can also contain
      minidump output.
    - Increase document version to 0.2.
  * apport/report.py, obsolete_packages(): Fix crash when apt does not know an
    available version of a package. (LP: #128176)
  * test-apport: Add check that apport aborts immediately if another apport
    instance is already running. Also test that a symlink attack on the lock
    file is not possible.
  * bin/apport: Abort running several apport instances at the same time, by
    lockf()'ing /var/crashes/.lock and aborting on failure. (LP: #119622)
  * Add bin/gcc_ice_hook: Script to create an apport report for a gcc ICE
    (internal compiler exception). Add test cases to test-hooks, and ship it
    in the 'apport' package. (LP: #125551)
  * run-tests: In 'local' mode, only explicitly run the apt/dpkg
    implementation instead of backends/*, since the RPM ones don't have tests
    yet.
  * apport/crashdb.py: Add a second optional parameter to upload() to specify
    an upload progress callback function. Adapt the declarations in the
    Launchpad and Memory implementations, too.
  * apport/crashdb_impl/launchpad.py, upload(): Pass upload progress callback
    handler to launchpadBugs.storeblob.upload(), which supports this since
    version 0.2~39. Bump dependency to it accordingly.
  * apport/ui.py, file_report(): Define an upload progress callback handler,
    pass it to the crashdb upload(), and feed ui_set_upload_progress() with
    some actual data. (LP: #91521)
  * problem_report.py: Remove support for reading bz2 compressed binary data.
    That was only relevant during edgy's development cycle.
  * apport/report.py, test_add_proc_info(): Fix determination of /bin/zgrep
    interpreter.
  * problem_report.py: Switch encoding of binary values from bare zlib to
    proper gzip format, since this is much more useful when reusing the
    compressed value. Retain support for zlib-only reports. Add test cases for
    both old and new encodings, and adapt the other test cases for the new
    format. Update doc/data-format.tex accordingly.
  * problem_report.py, write(): Add new permitted 'binary' argument value
    'compressed', which retains gzip compressed binary values instead of
    unpacking them transparently. Add test cases.
  * problem_report, write_mime(): Eliminate unnecessary usage of StringIO.
  * problem_report, write_mime(): Make function work for compressed binary
    values. Add test case.
  * apport/report.py, add_gdb_info(): Make function work if CoreDump is a
    compressed value.
  * apport/ui.py: Load crash report with keeping compressed binaries. This
    avoids loading the entire uncompressed core dump into memory, and avoids
    recompressing it all over again for generating the crash database upload


=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: apport
 Section: utils
 Priority: optional
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-support (>= 0.3), python-dev (>= 2.4), intltool
+Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-support (>= 0.3), python-dev (>= 2.4), intltool, texlive-latex-recommended
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
 Standards-Version: 3.7.2
-XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/apport/ubuntu
+XS-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/ubuntu
 
 Package: apport
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.43), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
-Conflicts: apport-gtk (<< 0.51)
-Replaces: apport-gtk (<< 0.51)
+Conflicts: apport-gtk (<< 0.51), apport-cli
+Replaces: apport-gtk (<< 0.51), apport-cli
+Suggests: apport-gtk | apport-qt
 Description: automatically generate crash reports for debugging
  apport automatically collects data from crashed processes and
  compiles a problem report in /var/crash/. This utilizes the crashdump
  helper hook provided by the Ubuntu kernel.
+ .
+ This package also provides a command line frontend for browsing and
+ handling the crash reports. For desktops, you should consider
+ installing the GTK or Qt user interface (apport-gtk or apport-qt).
  .
  See https://wiki.ubuntu.com/AutomatedProblemReports for more
  information.
@@ -37,7 +42,7 @@
 XB-Python-Version: ${python:Versions}
 Section: python
 Architecture: all
-Depends: ${python:Depends}, python-problem-report (>= 0.73), python-launchpad-bugs (>= 0.1.2), gdb
+Depends: ${python:Depends}, python-apt, python-problem-report (>= 0.94), python-launchpad-bugs (>= 0.2.11), gdb
 Conflicts: python-apport-utils
 Replaces: python-apport-utils
 Description: apport crash report handling library
@@ -52,7 +57,7 @@
 Package: apport-retrace
 Section: devel
 Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.63), python-apt, python-launchpad-bugs (>= 0.1.3), apt, binutils
+Depends: python (>= 2.4), python-apport (>= 0.88), python-apt, python-launchpad-bugs (>= 0.2.11), apt, binutils, dpkg-dev
 Suggests: debootstrap (>= 0.3.3.2ubuntu2), fakeroot, fakechroot
 Conflicts: apport (<< 0.72)
 Replaces: apport (<< 0.72)
@@ -71,7 +76,7 @@
 Package: apport-gtk
 Section: gnome
 Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.45), python-gtk2, python-glade2, python-xdg, apport (>= 0.41), procps
+Depends: python (>= 2.4), python-apport (>= 0.80), python-gtk2, python-glade2, python-xdg, apport (>= 0.41), procps
 Recommends: update-notifier
 Description: GTK frontend for the apport crash report system
  apport automatically collects data from crashed processes and
@@ -87,7 +92,7 @@
 Package: apport-qt
 Section: kde
 Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.45), python-qt4, python-xdg, apport (>= 0.41), procps
+Depends: python (>= 2.4), python-apport (>= 0.80), python-qt4, python-xdg, apport (>= 0.41), procps
 Recommends: adept-notifier
 Description: Qt4 frontend for the apport crash report system
  apport automatically collects data from crashed processes and
@@ -100,19 +105,3 @@
  See https://wiki.ubuntu.com/AutomatedProblemReports for more
  information.
 
-Package: apport-cli
-Section: utils
-Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.45), python-xdg, apport (>= 0.41), procps, debianutils
-Recommends: elinks
-Description: Command line frontend for the apport crash report system
- apport automatically collects data from crashed processes and
- compiles a problem report in /var/crash/. This utilizes the crashdump
- helper hook provided by the Ubuntu kernel.
- .
- This package provides a command line frontend for browsing and handling the
- crash reports.
- .
- See https://wiki.ubuntu.com/AutomatedProblemReports for more
- information.
-

=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,31 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
+include /usr/share/cdbs/1/rules/langpack.mk
 
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile --install-scripts usr/share/apport
 
 pre-build::
 	# install appropriate backends
-	cp backends/packaging-dpkg.py apport/packaging_impl.py
+	cp backends/packaging-apt-dpkg.py apport/packaging_impl.py
 
 common-post-build-indep::
 	make -C po
 	make -C gtk
 	make -C qt4
+	make -C doc
+
+binary-install/apport-gtk::
+	dh_desktop -p $(cdbs_curpkg)
+
+binary-install/apport::
+	dh_installmime -p $(cdbs_curpkg)
+
+	# ignore wine crashes by default, until we found a way to
+	# handle them appropriately
+	install -d debian/$(cdbs_curpkg)/etc/apport/blacklist.d
+	echo '/usr/bin/wine-preloader' > debian/$(cdbs_curpkg)/etc/apport/blacklist.d/apport
 
 clean::
 	# remove backend copies
@@ -23,6 +36,7 @@
 	make -C po clean
 	make -C gtk clean
 	make -C qt4 clean
+	make -C doc clean
 
 ifdef _cdbs_rules_debhelper
 $(patsubst %,binary-install/%,apport) :: binary-install/%:

## apport 0.108

=== debian/changelog ===
apport (0.108) hardy; urgency=low

  [ Martin Pitt ]
  * apport-{gtk,qt,cli}: Fix handling of file references added by package
    hooks. (LP: #205163)
  * backends/packaging_rpm.py: Fix dependency resolution of uname(*) in the
    RPM backend. Thanks to Patryk Zawadzki! (LP: #213018)
  * backends/packaging_rpm.py: Fix RPM platform parsing, thanks to Patryk
    Zawadzki! (LP: #213015)
  * po/de.po: Fix typo (missing space).
  * debian/apport.default: Disable Apport for the final Hardy release, since
    it is less useful in stable releases, and drains a lot of CPU and I/O
    power on crashes. Disabling it here instead of in update-notifier/adept is
    more discoverable and more centralized.

  [ Daniel Hahler ]
  * bin/apport-retrace: catch the same exceptions from Report.load() like
    ui.load_report() does (LP: #211899)
  * Fix uncaught exceptions in apport itself (LP: #215929):
    - apport/REThread.py: check if "sys" exists in the except block of
      REThread.run()
    - apport_python_hook.py: check if "sys" exists in the finally block of
      apport_excepthook
  * cli/apport-cli: Fix UnboundLocalError in ui_present_crash, which rendered
    apport-cli useless (for reporting crashes) (LP: #216151)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Apr 2008 12:24:32 +0200

apport (0.107) hardy; urgency=low

  * cli/apport-cli: Add translator comment for difficult string. (LP: #210948)
  * Update German translations.
  * po/Make{vars,file}: Remove the --language=python option again, since it
    breaks extracting strings from the glade. intltool-update currently does
    not seem to have a way to tag a file as "language python", so add an ugly
    workaround: Create temporary .py symlinks for gtk/apport-gtk & friends,
    and have intltool extract them.
  * apport/ui.py: Disallow filing a bug without specifying a package or a PID.
    Update debian/local/ubuntu-bug.1 accordingly (apport-cli manpage was
    already correct). (LP: #210348)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 06 Apr 2008 11:44:38 -0600

apport (0.106) hardy; urgency=low

  [ Martin Pitt ]
  * apport/crashdb_impl/launchpad.py: Fix spelling mistake in p-lp-bugs API
    (now corrected there).
  * apport_python_hook.py: Catch IndexError for invalid sys.argv[0], too.
    (LP: #204940)
  * apport/ui.py: Add test_run_report_bug_unpackaged_pid() test case which
    reports a bug against a pid which belongs to an unpackaged program. This
    reproduces LP #203764.
  * apport/report.py: Drop add_hooks_info() assertion on nonexisting Package
    field, return silently instead. This conforms to the behaviour of the
    other add_*_info() functions and avoids nasty error handling.
  * apport/ui.py: Generate proper error message when calling with -f -p PID
    and PID belongs to an unpackaged program. (LP: #203764).

  [ Sebastien Bacher ]
  * po/Makevars: add the --language=python xgettext option so the translations
    template is correctly updated on build since cdbs is using intltool-update
    directly and not the corresponding makefile target

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 01 Apr 2008 16:02:46 +0200

apport (0.105) hardy; urgency=low

  * apport/crashdb_impl/launchpad.py: Ignore ValueErrors when subscribing a
    team, since these are usually due to the team already being subscribed.
  * apport/report.py, anonymize(): Be robust against empty user names and only
    anonymize fields which can potentially contain user specific data.
    (LP: #195706)
  * backends/packaging-apt-dpkg.py, get_architecture(): Return 'unknown'
    instead of None if package architecture cannot be determined.
    (LP: #198548)
  * apport/ui.py, run_crash(): Intercept other IOErrors, too (such as EISDIR)
    and print out proper error message instead of crashing. (LP: #201819)
  * apport_python_hook.py: If the Python script has mutilated sys.argv so that
    even sys.argv[0] does not exist any more, fall back into readlink()ing
    /proc/pid/exe and gracefully handle the failure of that, instead of
    crashing in the crash handler (ugh). Add test case. (LP: #198183)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Mar 2008 23:04:57 +0100

apport (0.104) hardy; urgency=low

  [ Martin Pitt ]
  * apport/crashdb_impl/launchpad.py, get_source_version(): re-escape the
    package name so that it doesn't stumble over '+' and similar characters.
  * apport/ui.py tests: assert that ProcEnviron is also included into bug
    reports where we do not have a PID, since having the local information is
    interesting and important (and acceptable in terms of personal
    information).
  * apport/report.py: Split out method add_proc_environ() for getting
    ProcEnviron, so that we can call it separately.
  * apport/ui.py, run_report_bug(): Add ProcEnviron if we do not have a pid to
    file a bug against. This way, bugs filed against packages or distro also
    get locale information. (LP: #198514)
  * apport/fileutils.py, mark_report_seen(): Do not crash if the file does not
    exist any more, because it was removed underneath us. (LP: #199932)
  * apport/ui.py, test_collect_info_exepath(): Add a tuple argument and a
    CompressedValue to the test report. This reproduces LP #199349.
  * apport/report.py, anonymize(): Only work on string values. (LP: #199349)
  * apport/ui.py: If a report has a field "Ignore", entirely ignore the report
    without even presenting an explanatory error dialog (as
    "UnsupportableReason" does). Document this in doc/package-hooks.txt.
    (LP: #198863)
  * debian/control: Bump Standards-Version (no changes necessary).
  * debian/control: Fix wrongly spelt project names (Python and GTK+). Thanks
    to lintian's scrutiny.
  * gtk/apport-gtk-mime.desktop.in, qt4/apport-qt-mime.desktop.in: Add a main
    category.

  [ Kees Cook ]
  * apport/report.py: fix module license checking logic (LP: #199927).
    - nonfree_modules: being unable to find a module should not mean the
      module is non-free.


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: apport
 Section: utils
 Priority: optional
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-support (>= 0.3), python-dev (>= 2.4), intltool, texlive-latex-recommended
+Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2),
+ python-central (>= 0.5.6), python-dev (>= 2.4), intltool,
+ texlive-latex-recommended
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.7.2
-XS-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/ubuntu
+Standards-Version: 3.7.3
+XS-Python-Version: current
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/ubuntu
 
 Package: apport
+XB-Python-Version: ${python:Versions}
 Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.43), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
+Depends: python (>= 2.4), python-apport (>= 0.43), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2), python-xdg
 Conflicts: apport-gtk (<< 0.51), apport-cli
 Replaces: apport-gtk (<< 0.51), apport-cli
 Suggests: apport-gtk | apport-qt
@@ -19,7 +23,7 @@
  .
  This package also provides a command line frontend for browsing and
  handling the crash reports. For desktops, you should consider
- installing the GTK or Qt user interface (apport-gtk or apport-qt).
+ installing the GTK+ or Qt user interface (apport-gtk or apport-qt).
  .
  See https://wiki.ubuntu.com/AutomatedProblemReports for more
  information.
@@ -29,8 +33,8 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}
-Description: python library to handle problem reports
- This python library provides an interface for creating, modifying,
+Description: Python library to handle problem reports
+ This Python library provides an interface for creating, modifying,
  and accessing standardized problem reports for program and kernel
  crashes and packaging bugs (for details, see
  https://wiki.ubuntu.com/AutomatedProblemReports).
@@ -46,7 +50,7 @@
 Conflicts: python-apport-utils
 Replaces: python-apport-utils
 Description: apport crash report handling library
- This python package provides high-level functions for creating and
+ This Python package provides high-level functions for creating and
  handling apport crash reports:
  .
   * Query available and new reports.
@@ -55,6 +59,7 @@
   * Python hook to generate crash reports when Python scripts fail.
 
 Package: apport-retrace
+XB-Python-Version: ${python:Versions}
 Section: devel
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.88), python-apt, python-launchpad-bugs (>= 0.2.11), apt, binutils, dpkg-dev
@@ -74,22 +79,24 @@
  chroots can happen with normal user privileges.
 
 Package: apport-gtk
+XB-Python-Version: ${python:Versions}
 Section: gnome
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.80), python-gtk2, python-glade2, python-xdg, apport (>= 0.41), procps
 Recommends: update-notifier
-Description: GTK frontend for the apport crash report system
+Description: GTK+ frontend for the apport crash report system
  apport automatically collects data from crashed processes and
  compiles a problem report in /var/crash/. This utilizes the crashdump
  helper hook provided by the Ubuntu kernel.
  .
- This package provides a GTK frontend for browsing and handling the
+ This package provides a GTK+ frontend for browsing and handling the
  crash reports.
  .
  See https://wiki.ubuntu.com/AutomatedProblemReports for more
  information.
 
 Package: apport-qt
+XB-Python-Version: ${python:Versions}
 Section: kde
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.80), python-qt4, python-xdg, apport (>= 0.41), procps
